<?php declare(strict_types=1);

namespace Diamond\Domain\MessageRequest\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

/**
* Description of MessageRequest
*
* @author Diamond Code Generator
*/
interface MessageRequestCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{

    public function setSearchByEmailTo(?string $searchByEmailTo): MessageRequestCriteriaInterface;

    public function getSearchByEmailTo(): ?string;

    public function setSearchByEmailFrom(?string $searchByEmailFrom): MessageRequestCriteriaInterface;

    public function setSearchBySubject(?string $searchBySubject): MessageRequestCriteriaInterface;

    public function getSearchBySubject(): ?string;

    public function getSearchByEmailFrom(): ?string;

}           